|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerPropertySheetExtension Class Reference

    #include <QDesignerPropertySheetExtension>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerPropertySheetExtension ()
- virtual int count () const = 0
- virtual bool hasReset ( int index ) const = 0
- virtual int indexOf ( const QString & name ) const = 0
- virtual bool isAttribute ( int index ) const = 0
- virtual bool isChanged ( int index ) const = 0
- virtual bool isVisible ( int index ) const = 0
- virtual QVariant property ( int index ) const = 0
- virtual QString propertyGroup ( int index ) const = 0
- virtual QString propertyName ( int index ) const = 0
- virtual bool reset ( int index ) = 0
- virtual void setAttribute ( int index, bool b ) = 0
- virtual void setChanged ( int index, bool changed ) = 0
- virtual void setProperty ( int index, const QVariant & value ) = 0
- virtual void setPropertyGroup ( int index, const QString & group ) = 0
- virtual void setVisible ( int index, bool b ) = 0

## Detailed Description

The QDesignerPropertySheetExtension class provides extensions to widget property sheets in Qt Designer.

## Member Function Documentation

### QDesignerPropertySheetExtension::~QDesignerPropertySheetExtension () `[virtual]`

### int QDesignerPropertySheetExtension::count () const `[pure virtual]`

### bool QDesignerPropertySheetExtension::hasReset ( int index ) const `[pure virtual]`

### int QDesignerPropertySheetExtension::indexOf ( const QString & name ) const `[pure virtual]`

### bool QDesignerPropertySheetExtension::isAttribute ( int index ) const `[pure virtual]`

### bool QDesignerPropertySheetExtension::isChanged ( int index ) const `[pure virtual]`

### bool QDesignerPropertySheetExtension::isVisible ( int index ) const `[pure virtual]`

### QVariant QDesignerPropertySheetExtension::property ( int index ) const `[pure virtual]`

### QString QDesignerPropertySheetExtension::propertyGroup ( int index ) const `[pure virtual]`

### QString QDesignerPropertySheetExtension::propertyName ( int index ) const `[pure virtual]`

### bool QDesignerPropertySheetExtension::reset ( int index ) `[pure virtual]`

### void QDesignerPropertySheetExtension::setAttribute ( int index, bool b ) `[pure virtual]`

### void QDesignerPropertySheetExtension::setChanged ( int index, bool changed ) `[pure virtual]`

### void QDesignerPropertySheetExtension::setProperty ( int index, const QVariant & value ) `[pure virtual]`

### void QDesignerPropertySheetExtension::setPropertyGroup ( int index, const QString & group ) `[pure virtual]`

### void QDesignerPropertySheetExtension::setVisible ( int index, bool b ) `[pure virtual]`